#NoEnv
SetWorkingDir %A_ScriptDir%
SetBatchLines -1

; Default values
gameMode := "host"
ipAddress := "127.0.0.1"
fragLimit := 20
map := "map01"
skillLevel := 3
players := 1

; Create GUI
Gui, Add, Text, vGameModeLabel, Game Mode:
Gui, Add, DropDownList, vGameMode gUpdateFields, Host||Join
Gui, Add, Text, vIpAddressLabel, IP Address (for Join):
Gui, Add, Edit, vIpAddress w200 Disabled, %ipAddress%
Gui, Add, Text, vFragLimitLabel, Frag Limit:
Gui, Add, Edit, vFragLimit w50, %fragLimit%
Gui, Add, Text, vMapLabel, Map:
Gui, Add, Edit, vMap w100, %map%
Gui, Add, Text, vSkillLevelLabel, Skill Level (1-5):
Gui, Add, Edit, vSkillLevel w50, %skillLevel%
Gui, Add, Text, vPlayersLabel, Number of Players:
Gui, Add, Edit, vPlayers w50, %players%
Gui, Add, Button, gLaunchGame, Launch Game
Gui, Add, Button, gExitScript, Exit

; Show GUI
Gui, Show, w300 h300, Toby's Death Arena Config
return

; Update fields based on game mode
UpdateFields:
    Gui, Submit, NoHide
    if (GameMode == "Host") {
        GuiControl, Disable, IpAddress
        GuiControl,, IpAddress, 127.0.0.1
    } else {
        GuiControl, Enable, IpAddress
        GuiControl,, IpAddress
    }
return

; Launch game button
LaunchGame:
    Gui, Submit, NoHide
    batCommand := "Play Toby's Death Arena.bat"
    if (GameMode == "Join") {
        batCommand .= " -join " . ipAddress
    } else {
        batCommand .= " -host " . players
        batCommand .= " -skill " . skillLevel
    }
    batCommand .= " -fraglimit " . fragLimit
    batCommand .= " -map " . map
    Run, %batCommand%
return

; Exit button
ExitScript:
GuiClose:
ExitApp

; Useless, but cool. Ctrl+1 through Ctrl+6 to move between fields.
#IfWinActive, Toby's Death Arena Config
^1::ControlFocus, ComboBox1
^2::ControlFocus, Edit1
^3::ControlFocus, Edit2
^4::ControlFocus, Edit3
^5::ControlFocus, Edit4
^6::ControlFocus, Edit5
^L::
    Gosub, LaunchGame
return
^X::
    Gosub, ExitScript
return
